# Fulfillment with Self-Checkout

SQUAKE offers a self-checkout page that allows your customers to purchase carbon compensations directly using SQUAKE integration with Stripe.

The whole checkout process is similar to the [API integration](/use-cases/fulfillment-with-api.md), but instead of making a purchase request to the SQUAKE API, you redirect your customers to the SQUAKE checkout page. So **make sure you are familiar with** the [API integration](/use-cases/fulfillment-with-api.md) before proceeding.

## Steps to proceed with the self-checkout process

* \[optional] register a webhook to receive notifications about your customers' purchase-related events (see [Webhooks](/use-cases/webhooks.md))
* \[optional] calculate emissions using SQUAKE's API (see [Emission Calculation](/use-cases/fulfillment-with-api.md#emission-calculation))
* pick a carbon product provided by SQUAKE (see [Define a product to use for emission compensation](/use-cases/fulfillment-with-api.md#define-a-product-to-use-for-emission-compensation))
* quote pricing for the carbon emissions you want to compensate using SQUAKE's API (see [Pricing](/use-cases/fulfillment-with-api.md#pricing))
* pricing endpoint returns a URL to the SQUAKE checkout page
* redirect your customer to the SQUAKE checkout page
* your customer settles the payment themselves on the SQUAKE checkout page
* SQUAKE settles the payment and sends a webhook notification to your webhook endpoint (if you registered one)

## Notes:

* You can use `/calculate_with_pricing` endpoint to combine emission calculation and pricing in a single request.
* Both the `/calculate_with_pricing` and `/pricing` endpoints accept the `payment_link_return_url` and `locale` parameters so you can adjust the checkout experience for your customers (see the API reference for more information)
* We're generating a `payment_link_url` only for the purchases below 250 EUR. For purchases above 250 EUR, you need to request an invoice from SQUAKE.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-integration.squake.earth/use-cases/fulfillment-with-self-checkout.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
